<?php
if (!defined("ABSPATH")) {
    exit;
}

class CpayConfig
{

    const CPAY_API_TEST_URI = "https://test-api.centralpay.net/v2/rest/";

    const CPAY_API_PROD_URI = "https://api.centralpay.net/v2/rest/";

    public static bool $TESTMODE=false;

    public static function getApiUrl() {

        if (CpayConfig::$TESTMODE) {
            return CpayConfig::CPAY_API_TEST_URI;
        }
        else {
            return CpayConfig::CPAY_API_PROD_URI;
        }

    }

    const CPAY_SITE = "https://www.centralpay.eu/";

    public $http_host;

    public function __construct() {
    }


    public function getHttpHost()
    {
        return $_SERVER['HTTP_HOST'];
    }

    public static function set_local()
    {
        require plugin_dir_path(  dirname(__FILE__ )) . 'includes/class-cpay-i18n.php';

        $plugin_i18n = new Cpayi18n();
        $plugin_i18n->load_plugin_textdomain();
    }

    public static function generateSalt() {
        return bin2hex(openssl_random_pseudo_bytes(8));
    }
}
