<?php
if (!defined('ABSPATH')) {
    exit;
}

return apply_filters('wc_cpay_settings',
    array(
        'enabled' => array(
            'title' => __( 'Activate / Deactivate', 'woocommerce-gateway-cpay' ),
            'label' => __( 'Activate cpay', 'woocommerce-gateway-cpay' ),
            'type' => 'checkbox',
            'description' => '',
            'default' => 'no'
        ),
        'login_cpay' => array(
            'title' => __( 'Login', 'woocommerce-gateway-cpay' ),
            'type' => 'text',
            'description' => __( 'Login d\'accès à CPAY V2', 'woocommerce-gateway-cpay' ),
            'default' => __( '', 'woocommerce-gateway-cpay' )
        ),
        'password_cpay' => array(
            'title' => __( 'Password', 'woocommerce-gateway-cpay' ),
            'type' => 'password',
            'description' => __( 'Mot de passe d\'accès à CPAY V2', 'woocommerce-gateway-cpay' ),
            'default' => __( '', 'woocommerce-gateway-cpay' )
        ),
        'merchant_public_key' => array(
            'title' => __( 'Merchant Public Key', 'woocommerce-gateway-cpay' ),
            'type' => 'text',
            'description' => 'Clé publique pour la création des tokens.',
            'default' => ''
        ),
        'point_of_sale_id' => array(
            'title' => __( 'Point of sale id', 'woocommerce-gateway-cpay' ),
            'type' => 'text',
            'description' => '',
            'default' => ''
        ),
        'one_click' => array(
            'title' => __( 'Activate OneClick', 'woocommerce-gateway-cpay' ),
            'type' => 'checkbox',
            'label' => __( 'Activate OneClick', 'cpay' ),
            'description' => '',
            'default' => 'no'
        ),
        'mode_test' => array(
            'title' => __( 'Modes: Production/Test', 'woocommerce-gateway-cpay' ),
            'label' => __( 'Activer mode test', 'woocommerce-gateway-cpay' ),
            'type' => 'checkbox',
            'description' => '',
            'default' => 'no'
        ),

        /* Décommenter pour utiliser.
        * Il faut aussi ajouter le getter dans le constructeur de la classe class-wc-gateway-cpay.php
        */
//        'mode_debug' => array(
//            'title' => __( 'Modes: Debug', 'woocommerce-gateway-cpay' ),
//            'label' => __( 'Activer mode debug', 'woocommerce-gateway-cpay' ),
//            'type' => 'checkbox',
//            'description' => '',
//            'default' => 'no'
//        ),

    ));

?>
